<?xml version="1.0" encoding="UTF-8"?>
<component id="recibos_gmfl">
    <type>GRID_DETAIL_FORM_LABEL</type>
    <title>Recibos</title>
    <rows>300</rows>
    <width>1024</width>
    <height>700</height>
    <pbin>gmp.exe</pbin>
    <base_path>..</base_path>
    <clase>
        
        <table>sdm_recibos</table>
        <id_field>c16_recibo_id</id_field>
        <autoincrement>NO</autoincrement>
        <temp_id_field></temp_id_field>
        <select_fields>c16_recibo_id,i8_mandamiento_id,i8_contribuyente_id,i8_expediente_id,i2_tipo_pago_id,i2_tipo_departamento_id,c3_tipo_generador_id,c2_tipo_recibo_id,c14_nit_id,c11_dui_id,c14_iva_id,v128_contribuyente,v16_fax,v16_telefono,dt_emision,dt_vencimiento,txt_direccion,txt_email,txt_concepto,txt_expediente_direccion,txt_expediente_propietarios,ts_update,ts_in,i8_user_id,i2_cajero_id,i8_emisor_id,i8_cajero_id</select_fields>
        <insert_fields>c16_recibo_id,i8_mandamiento_id,i8_contribuyente_id,i8_expediente_id,i2_tipo_pago_id,i2_tipo_departamento_id,c3_tipo_generador_id,c2_tipo_recibo_id,c14_nit_id,c11_dui_id,c14_iva_id,v128_contribuyente,v16_fax,v16_telefono,dt_emision,dt_vencimiento,txt_direccion,txt_email,txt_concepto,txt_expediente_direccion,txt_expediente_propietarios,ts_in,i8_user_id,i2_cajero_id,i8_emisor_id,i8_cajero_id</insert_fields>
        <update_fields>c16_recibo_id,i8_mandamiento_id,i8_contribuyente_id,i8_expediente_id,i2_tipo_pago_id,i2_tipo_departamento_id,c3_tipo_generador_id,c2_tipo_recibo_id,c14_nit_id,c11_dui_id,c14_iva_id,v128_contribuyente,v16_fax,v16_telefono,dt_emision,dt_vencimiento,txt_direccion,txt_email,txt_concepto,txt_expediente_direccion,txt_expediente_propietarios,i8_user_id,i2_cajero_id,i8_emisor_id,i8_cajero_id</update_fields>
        <delete_fields>c16_recibo_id</delete_fields>     
        <needed_fields>c16_recibo_id,i8_mandamiento_id,i8_contribuyente_id,v128_contribuyente,dt_emision</needed_fields>
        <order_by>14</order_by>
        <direction>desc</direction>
        <offset>0</offset>
        <limit>50</limit>
        <detail>
            
            <table>sdd_recibos</table>
            <id_field>c16_recibo_id</id_field>
            <delete>YES</delete>
        </detail>
        <select_labels id="i2_tipo_pago_id">
            <id_type>NORMAL</id_type>
            
            <table>sdm_tipo_pagos</table>
            <id_field>c3_tipo_pago_id</id_field>
            <fields>v64_tipo_pago</fields>
            <document_fields>v64_tipo_pago</document_fields>
        </select_labels>
        <select_labels id="i8_user_id">
            <id_type>NORMAL</id_type>
            
            <table>sdm_users</table>
            <id_field>i8_user_id</id_field>
            <fields>v32_fname,v32_lname</fields>
            <document_fields>v32_fname,v32_lname</document_fields>
        </select_labels>
        <select_labels id="i8_cajero_id">
            <id_type>PIVOT</id_type>
            
            <table>sdm_users</table>
            <id_field>i8_user_id</id_field>
            <fields>v32_fname,v32_lname</fields>
            <document_fields>v32_fname_cajero,v32_lname_cajero</document_fields>
        </select_labels>
        <select_labels id="i8_emisor_id">
            <id_type>PIVOT</id_type>
            
            <table>sdm_users</table>
            <id_field>i8_user_id</id_field>
            <fields>v32_fname,v32_lname</fields>
            <document_fields>v32_fname_emisor,v32_lname_emisor</document_fields>
        </select_labels>
        <select_labels id="i2_tipo_departamento_id">
            <id_type>NORMAL</id_type>
            
            <table>sdm_tipo_departamentos</table>
            <id_field>i2_tipo_departamento_id</id_field>
            <fields>v64_tipo_departamento</fields>
            <document_fields>v64_tipo_departamento</document_fields>
        </select_labels>
        <select_labels id="c3_tipo_generador_id">
            <id_type>NORMAL</id_type>
            
            <table>sdm_tipo_generadores</table>
            <id_field>c3_tipo_generador_id</id_field>
            <fields>v64_tipo_generador</fields>
            <document_fields>v64_tipo_generador</document_fields>
        </select_labels>
        <select_labels id="null"></select_labels>
        <associations>NO</associations>
    </clase>
    <elements>NO</elements>
    <grid>
        <columns>c16_recibo_id,i8_contribuyente_id,v128_contribuyente,dt_emision,v32_fname_cajero,v32_lname_cajero</columns>
        <column id="c16_recibo_id">
            <properties>
                <type>text</type>
                <data>text</data>                
                <header>ID</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>sdd</elements>
            <element id="sdd">
                <properties>
                    <type>link</type>
                    <data>text</data>                
                </properties>        
                <events>
                    <onClick>GridOpenWindow(this)</onClick>
                </events>                
            </element>
            <element id ="null"></element>
            <method id="GridOpenWindow(this)">
                <params>component,clase,left,top,id_field</params>
                <component>gdfl</component>
                <clase>recibos</clase>
                <left>100</left>
                <top>100</top>
                <id_field>c16_recibo_id</id_field>                
            </method>
            <method id="null"></method>
        </column>
        <column id="i8_contribuyente_id">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>CONTRIB ID</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="v128_contribuyente">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>CONTRIBUYENTE</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="dt_emision">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>EMISION</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="v32_fname_cajero">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>NOMBRES</header>
                <width>16</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="v32_lname_cajero">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>APELLIDOS</header>
                <width>16</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="counter">
            <properties>
                <type>link</type>
                <data>text</data>
                <header>No.</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>>
        <counter>ON</counter>
        <delete>ON</delete>
        <tdheader_style>text-align:center</tdheader_style>
        <tdbody_style>text-align:left;vertical-align:center</tdbody_style>
    </grid>
</component>